Skip to main content
GET
/
management
/
v2.0
/
billing
Get Billing Information
curl --request GET \
  --url https://api-trial.cognigy.ai/new/management/v2.0/billing \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "organisationId": "<string>",
      "name": "<string>",
      "isDisabled": true,
      "conversations": [
        {
          "conversations": 123,
          "day": 123,
          "month": 123,
          "year": 123,
          "channel": "<string>"
        }
      ]
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Basic Authentication used by routes designed for the Management-UI.

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Query Parameters

filter
string

filter billing info by organisation name

limit
integer

The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.

Required range: 1 <= x <= 100
skip
integer

The number of items to skip before returning the results. Use this parameter with limit for offset-based pagination. The default value is 0.

Required range: x >= 0
sort
string

The order in which results are returned. Set a sorting rule in the format field:direction, where direction can be asc for ascending order or desc for descending order. For example, name:asc sorts by name in ascending order.

Minimum string length: 1
next
string

The cursor that points to the next page of results. Use the nextCursor value returned in a previous response to request the next set of items.

Required string length: 24
previous
string

The cursor that points to the previous page of results. Use the previousCursor value returned in a previous response to request the previous set of items.

Required string length: 24

Response

Billing relevant information per organisation.

items
object[]
total
integer
Example:

1

nextCursor
string | null
Required string length: 24
Pattern: ^[a-z0-9]{24}$
previousCursor
string | null
Required string length: 24
Pattern: ^[a-z0-9]{24}$